View Issue Details

IDProjectCategoryView StatusLast Update
0002058Industrial-Craft²tools / electric itemspublic2016-12-16 18:58
ReporterDeuceXMAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindows 10OS Version1607
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002058: Cannot charge most jetpack-attached EU storage wearables with EU charging items
DescriptionThe Adv.Batpack, Energypack, and Lappack cannot be recharged using one of the EU charging items (Advanced Charging Battery, Charging Energy Crystal, Charging Lapotron Crystal as appropriate), even when placed in the action bar as intended, once an Electric Jetpack is attached using the Jetpack Attachment Plate.

IC2 version: 2.6.129-ex110 (since at least 121)
Forge version: 12.18.2.2140
Steps To Reproduce1. Place one of the three items (without jetpack attached) in the action bar with less than full charge.
2. Place EU charging item of the appropriate tier or higher in inventory. Note that item starts to charge as intended.
3. Craft the item with a Jetpack Attachment Plate and an Electric Jetpack.
4. Place the new item back in the action bar. Note that charging no longer occurs.
Additional InformationFirst noticed this on build 121 since that's when I started using the Jetpack Attachment Plate. Still the same in 129. Also, the BatPack (and also the NanoSuit Bodyarmor) charges fine even with a jetpack attached; it's just the other three items that have problems. (I know the Lappack isn't craftable, but it's still chargeable [sans jetpack] using a Charging Lapotron Crystal so I suppose it's power tier 4.)

All the items are still chargeable by EU storage blocks or chargepads, so I marked this minor.
TagsNo tags attached.
Minecraft Version1.10.2

Activities

DeuceXM

2016-12-10 23:37

reporter   ~0004930

Forgot to mention, the only other thing I'm running with this is JEI (3.13.3.373).

Chocohead

2016-12-16 18:58

developer   ~0004943

Fixed in IC2 2.6.132

Issue History

Date Modified Username Field Change
2016-12-10 23:23 DeuceXM New Issue
2016-12-10 23:37 DeuceXM Note Added: 0004930
2016-12-11 10:04 Aroma1997 Assigned To => Aroma1997
2016-12-11 10:04 Aroma1997 Status new => assigned
2016-12-16 18:58 Chocohead Note Added: 0004943
2016-12-16 18:58 Chocohead Status assigned => resolved
2016-12-16 18:58 Chocohead Fixed in Version => Builds for MC 1.10.x
2016-12-16 18:58 Chocohead Resolution open => fixed
2016-12-16 18:58 Chocohead Assigned To Aroma1997 => Chocohead